
TYPO3.Flow - Bug # 47255

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: MVC - Routing
Created: 2013-04-15 Assigned To: Bastian Waidelich
Updated: 2013-06-05 Due date:
PHP Version: 5.4
Has patch: No
Complexity: easy
Affected Flow version: (any)
Subject: Cache is not flushed for changes in sub routes
Description

The cache manager only checks changes in "Routes.yaml" files but it should also consider all "Routes.*.yaml" files.

Related issues:
related to TYPO3.Flow - Feature # 43966: Allow all routes to include sub routes Resolved 2012-12-13

Associated revisions
Revision 7ca72da7 - 2013-05-29 16:36 - Bastian Waidelich

[BUGFIX] Cache is not flushed for changes in sub routes

The CacheManager automatically flushes routing caches in
Development context if a Routes.yaml file was changed.
This extends the behavior to flush caches even if a custom
sub route (Routes.xyz.yaml) was modified.

Change-Id: If77c9c5ec2880e89e2915f5795c98a36599815fb
Fixes: #47255
Related: #43966
Releases: master, 2.0

Revision 2382549f - 2013-06-05 13:01 - Bastian Waidelich

[BUGFIX] Cache is not flushed for changes in sub routes

The CacheManager automatically flushes routing caches in
Development context if a Routes.yaml file was changed.
This extends the behavior to flush caches even if a custom
sub route (Routes.xyz.yaml) was modified.

Change-Id: If77c9c5ec2880e89e2915f5795c98a36599815fb
Fixes: #47255
Related: #43966
Releases: master, 2.0

History
#1 - 2013-05-07 18:34 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20590

#2 - 2013-05-07 18:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20590

#3 - 2013-05-21 13:11 - Robert Lemke
- Target version changed from 2.0 to 2.0.1

#4 - 2013-05-29 16:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20590

#5 - 2013-06-05 13:02 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/21240

#6 - 2013-06-05 13:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7ca72da7866f754237a4280bce453651c0f119e5.
